Subject: Re: bug#11105: 24.0.94; (wrong-type-argument strinp (eval.c))

From: Stefan Monnier <[email-masked]>
Date: Wed, 28 Mar 2012 14:54:46 -0400

>> If you can figure out how to trigger it, or at least describe the
>> circumstance where it happens, maybe we can track it down, but without
>> that info it doesn't seem easy to figure out what's going on.

> Yes, I know.  This has been happening for a while (in Emacs 24), and
> I've tried to find out what leads to it, but no success so far.  I was
> hoping that perhaps someone would notice something in the code that
> might be suspect.

My crystal ball told me it could be a mis-applied completion predicate
(depending on the kind of completion-table (list of strings, alist,
obarray, hashtable), the predicate is either passed a string,
a cons-cell, or even two arguments), but I didn't notice any obvious
risky uses of the predicate in icomplete, so the problem might be
elsewhere (and just happens to show up in icomplete because icomplete
calls completion more often).

        Stefan